%if %mandriva_branch == Cooker
# Cooker
%define release 1
%else
# Old distros
%define subrel 1
%define release %mkrel 0
%endif

%define	major 1
%define	libname	%mklibname vpx %{major}
%define	devname	%mklibname -d vpx

Name:		libvpx
Summary:	VP8 Video Codec SDK
Version:	1.0.0
Release:	%{release}
License:	BSD
Group:		System/Libraries
URL:		http://www.webmproject.org/tools/vp8-sdk/
Source0:	http://webm.googlecode.com/files/%{name}-v%{version}.tar.bz2
Patch0:		libvpx-0.9.7-no-explicit-dep-on-static-lib.patch
Patch1:		libvpx-v1.0.0-cleaner_pkgconfig.diff
%ifarch %{ix86} x86_64
BuildRequires:	yasm
%endif
BuildRequires:	doxygen php-cli

%description
libvpx provides the VP8 SDK, which allows you to integrate your applications 
with the VP8 video codec, a high quality, royalty free, open source codec 
deployed on millions of computers and devices worldwide. 

%package -n	%{libname}
Summary:	VP8 Video Codec SDK
Group:		System/Libraries

%description -n %{libname}
libvpx provides the VP8 SDK, which allows you to integrate your applications 
with the VP8 video codec, a high quality, royalty free, open source codec 
deployed on millions of computers and devices worldwide. 

%package -n	%{devname}
Summary:	Development files for libvpx
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n	%{devname}
Development libraries and headers for developing software against 
libvpx.

%package	utils
Summary:	VP8 utilities and tools
Group:		Video

%description	utils
A selection of utilities and tools for VP8, including a sample encoder
and decoder.

%prep

%setup -q -n %{name}-v%{version}
%patch0 -p1 -b .no-static-lib
%patch1 -p0

%build
%ifarch %{ix86}
%global vpxtarget x86-linux-gcc
%else
%ifarch	x86_64
%global	vpxtarget x86_64-linux-gcc
%else
%global vpxtarget generic-gnu
%endif
%endif
%setup_compile_flags

./configure \
    --enable-shared \
    --disable-static \
    --target=%{vpxtarget} \
    --enable-pic \
    --disable-install-srcs

# stupid config
perl -pi -e "s|/usr/local|%{_prefix}|g" config.mk
perl -pi -e "s|^LIBSUBDIR=lib|LIBSUBDIR=%{_lib}|g" config.mk

%make verbose=true target=libs
%make verbose=true target=examples
%make verbose=true target=docs

%install

make DIST_DIR=%{buildroot}%{_prefix} install

install -m0755 simple_decoder %{buildroot}%{_bindir}/vp8_simple_decoder
install -m0755 simple_encoder %{buildroot}%{_bindir}/vp8_simple_encoder
install -m0755 twopass_encoder %{buildroot}%{_bindir}/vp8_twopass_encoder

%files -n %{libname}
%doc AUTHORS CHANGELOG LICENSE README
%{_libdir}/libvpx.so.%{major}*

%files -n %{devname}
# These are SDK docs, not really useful to an end-user.
%doc docs/html
%{_includedir}/vpx/
%{_libdir}/pkgconfig/vpx.pc
%{_libdir}/libvpx.so

%files utils
%{_bindir}/*


%changelog
* Fri Feb 24 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1
+ Revision: 780075
- more stupid google fixes
- 1.0.0 (fixes CVE-2012-0823)
- it knows how to build the shared lib so use that
- various cleanups

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - generate shared library from static one directly without extracting objects
      from it first to link against

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Use %%mkrel for backports.

* Sun Jan 22 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.7-3
+ Revision: 764882
- cleanups!
- drop legacy rpm junk
- build with %%optflags & %%ldflags

* Thu Aug 18 2011 Götz Waschk <waschk@mandriva.org> 0.9.7-2
+ Revision: 695121
- update to 0.9.7-p1

* Sun Aug 14 2011 Götz Waschk <waschk@mandriva.org> 0.9.7-1
+ Revision: 694473
- new version
- rediff patch
- use upstream pkgconfig file, providing vpx instead of libvpx

* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-2
+ Revision: 662418
- mass rebuild

* Wed Mar 09 2011 Götz Waschk <waschk@mandriva.org> 0.9.6-1
+ Revision: 643033
- new version
- update shared library linking with new symbols

  + Claudio Matsuoka <claudio@mandriva.com>
    - Bump release for submission to 2010.0/1 contrib/updates
    - Bump release. Stupid buildsystem.

* Fri Nov 05 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-1mdv2011.0
+ Revision: 593687
- new version

* Thu Sep 09 2010 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2011.0
+ Revision: 576927
- new version
- fix source URL

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 0.9.1-2mdv2011.0
+ Revision: 550634
- fix utils dep

* Sat Jun 26 2010 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdv2011.0
+ Revision: 549187
- new version
- installation fixes
- import libvpx


* Wed May 26 2010 Götz Waschk <waschk@mandriva.org> 0.9.0-1mdv2010.1
- import from Fedora

* Fri May 21 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.0-5
- fix noexecstack flag

* Thu May 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.0-4
- BuildRequires: yasm (we're optimized again)

* Thu May 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.0-3
- add pkg-config file
- move headers into include/vpx/
- enable optimization

* Thu May 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.0-2
- fix permissions on binaries
- rename generic binaries to v8_*
- link shared library to -lm, -lpthread to resolve missing weak symbols

* Wed May 19 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.0-1
- Initial package for Fedora
